Change log for trac package in Ubuntu

152 of 52 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-11
Deleted in disco-proposed (Reason: moved to release)
trac (1.2.3+dfsg-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <email address hidden>  Sat, 10 Nov 2018 23:14:24 +0000

Available diffs

Superseded in disco-release on 2018-11-11
Published in cosmic-release on 2018-05-05
Deleted in cosmic-proposed (Reason: moved to release)
trac (1.2.2+dfsg-1) unstable; urgency=medium

  * new upstream version
  * move package back to PAPT, remove Otavio (Closes: #847250)
  * bump standards version and dh compat
  * move git repo to salsa

 -- W. Martin Borgert <email address hidden>  Tue, 06 Mar 2018 22:04:06 +0000

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
trac (1.2+dfsg-1) unstable; urgency=medium

  * new upstream version
  * fix links (Closes: #846650)
  * simplify debian/rules, use pybuild

 -- W. Martin Borgert <email address hidden>  Sat, 03 Dec 2016 20:55:45 +0000

Available diffs

Superseded in zesty-release on 2016-12-04
Deleted in zesty-proposed on 2016-12-05 (Reason: moved to release)
trac (1.0.13+dfsg-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Remove PAPT from Maintainer field to complete migration to collab-maint

  [ W. Martin Borgert ]
  * new upstream

 -- W. Martin Borgert <email address hidden>  Mon, 03 Oct 2016 22:52:31 +0000

Available diffs

Superseded in zesty-release on 2016-11-03
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
trac (1.0.12+dfsg-1) unstable; urgency=low
 
  * new upstream
  * watch only for stable (1.0.*) versions
  * bump standards-version; no changes required.

 -- W. Martin Borgert <email address hidden>  Thu, 21 Jul 2016 22:30:29 +0000

Available diffs

Superseded in yakkety-release on 2016-07-22
Published in xenial-release on 2015-12-12
Deleted in xenial-proposed (Reason: moved to release)
trac (1.0.9+dfsg-1) unstable; urgency=low

  * new upstream (Closes: #806135)

 -- W. Martin Borgert <email address hidden>  Sat, 12 Dec 2015 01:49:46 +0000

Available diffs

Superseded in xenial-release on 2015-12-12
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
trac (1.0.8+dfsg-1) unstable; urgency=low

  * new upstream (Closes: #786467)
  * removed syntax highlighting patch
  * add build-dep on dh-python

 -- W. Martin Borgert <email address hidden>  Wed, 12 Aug 2015 00:42:18 +0000

Available diffs

Superseded in wily-release on 2015-08-12
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
trac (1.0.2+dfsg-2) unstable; urgency=medium


  * apply upstream patch to fix syntax highlighting (Closes: #771799)

 -- W. Martin Borgert <email address hidden>  Wed, 03 Dec 2014 12:00:13 +0000

Available diffs

Superseded in vivid-release on 2014-12-03
Deleted in vivid-proposed on 2014-12-04 (Reason: moved to release)
trac (1.0.2+dfsg-1) unstable; urgency=medium


  [gregor herrmann <email address hidden>  Tue, 25 Nov 2014 23:25:18 +0100]
  * Fix "[trac] Some sources are not included in your package":
    repack to drop minified javascript files from source package:
    - debian/copyright:
      + add Files-Excluded
      + update Comment about them
    - drop debian/source/lintian-overrides
    - add dversionmangle to debian/watch
    (Closes: #769833)

 -- W. Martin Borgert <email address hidden>  Tue, 25 Nov 2014 23:02:26 +0000

Available diffs

Superseded in vivid-release on 2014-11-26
Deleted in vivid-proposed on 2014-11-27 (Reason: moved to release)
trac (1.0.2-1) unstable; urgency=low


  * new upstream (Closes: #766681).
  * bump Standards-Version to 3.9.6 (no changes needed)

 -- W. Martin Borgert <email address hidden>  Fri, 24 Oct 2014 23:10:51 +0000

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
trac (1.0.1-3) unstable; urgency=medium


  * clean up build process now that dh_python2 only expects there to be a
    single version of python 2 installed (Closes: #750338)
  * override lintian warnings about sourceless javascript, which we had
    already dealt with by shipping links to the debian packages (and not
    the minified js)
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <email address hidden>  Wed, 25 Jun 2014 12:39:22 -0400

Available diffs

Superseded in utopic-release on 2014-06-25
Published in trusty-release on 2014-01-13
Deleted in trusty-proposed (Reason: moved to release)
Deleted in saucy-proposed (Reason: Moved to trusty-proposed)
trac (1.0.1-2) unstable; urgency=low


  [ Daniel Kahn Gillmor ]
  * upload to unstable
  * clean up README.Debian

 -- Daniel Kahn Gillmor <email address hidden>  Thu, 09 May 2013 17:05:50 -0400

Available diffs

Superseded in trusty-release on 2014-01-13
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
trac (0.12.5-3) unstable; urgency=low


  * apply a fix from upstream to fix svn blame and suggest when using
    newer jquery (Closes: #704607)

 -- Daniel Kahn Gillmor <email address hidden>  Fri, 05 Apr 2013 17:03:12 -0400

Available diffs

Superseded in raring-release on 2013-04-19
Deleted in raring-proposed on 2013-04-20 (Reason: moved to release)
trac (0.12.5-1) experimental; urgency=low


  [ W. Martin Borgert <email address hidden> ]
  * New upstream 0.12.5 (long term support).

 -- W. Martin Borgert <email address hidden>  Sun, 24 Feb 2013 19:03:11 +0000

Available diffs

Superseded in raring-release on 2013-02-27
Deleted in raring-proposed on 2013-02-28 (Reason: moved to release)
trac (0.12.4-1) experimental; urgency=low


  [ W. Martin Borgert <email address hidden> ]
  * New upstream 0.12.4 (long term support).

 -- W. Martin Borgert <email address hidden>  Sun, 07 Oct 2012 12:05:25 +0000

Available diffs

Superseded in raring-release on 2012-10-30
Obsolete in quantal-release on 2015-04-24
trac (0.12.3-1) unstable; urgency=low


  * new upstream version (Closes: #658963)
  * remove embedded jQuery copy, again (Closes: #645235)
  * new policy version, no changes
  * suggest python-psycopg2, add some hints about using Trac with
    PostgreSQL in README.Debian
  [ Daniel Kahn Gillmor <email address hidden> ]
  * add Build-Dep on python-babel so that translations will be shipped
    (Closes: #644401)

 -- W. Martin Borgert <email address hidden>  Thu, 31 May 2012 20:55:24 +0000
Superseded in quantal-release on 2012-06-04
Published in precise-release on 2011-12-31
trac (0.12.2-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.
 -- Matthias Klose <email address hidden>   Sat, 31 Dec 2011 02:14:36 +0000
Superseded in precise-release on 2011-12-31
Obsolete in oneiric-release on 2015-04-24
trac (0.12.2-1) unstable; urgency=low
  * Team upload.  * New upstream release (Closes: #563391) (LP: #696284)    - fixes search highlighting (Closes: #621488)  * Drop 15_remove_jquery_file.dpatch because Trac requires a specific    version of jQuery (Closes: #592734, #610557) (LP: #526810, #610205).    (also drop postinst and prerm code for using the provided version)  * Drop 40_timeline_author_filter.dpatch: fixed upstream.  * Drop 60_fix_nameerror.dpatch: fixed upstream.  * Drop 70_cache_control_typo.dpatch: fixed upstream  * Drop 80_correct_plugin_names.dpatch: upstream changed mechanism which    probably also fixes the original issue.  * Switch to 3.0 (quilt) source format.  * Update Vcs-Browser field (Closes: #629651).  * Moved packaging from python-central to dh_python2 (Closes: #617126).  * Dropped conflicts on libapache2-mod-python2.3 because that package was    removed before the lenny release.  * Switch to dh-style debian/rules.  * Bump standards-version to 3.9.2; no changes required.  * No longer include empty /etc/trac directory.  * Re-organise dependencies, removing deprecated things and adding things    for Trac 0.12.  * Make package lintian clean.  * Update debian/copyright file. -- Arthur de Jong <email address hidden>  Wed, 13 Jul 2011 23:00:00 +0200
Superseded in oneiric-release on 2011-07-27
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
trac (0.11.7-4) unstable; urgency=low

  * No longer reference site-packages (Closes: #588136, #591593).
    Thanks to Ara Pulido <email address hidden> for reporting and patch.
  * Use changeset 9403, missing imports (Closes: #583154).
    Thanks to Anatoly <email address hidden>.
  * Lintian cleanups in debian/control.
  * New policy version, no changes.
 -- Bhavani Shankar <email address hidden>   Wed, 04 Aug 2010 20:26:31 +0000

Available diffs

Superseded in maverick-release on 2010-08-05
trac (0.11.7-3ubuntu1) maverick; urgency=low

  * Do not point directly to site-packages to avoid incompatibility
    with python 2.6. (Fixes: LP: #580412)
 -- Ara Pulido <email address hidden>   Mon, 05 Jul 2010 11:46:04 +0200

Available diffs

Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
trac (0.11.1-2.1ubuntu0.1) jaunty-security; urgency=low

  * SECURITY UPDATE (LP: #394290)
  * debian/patches/20_CVE-2009-4405.dpatch:
    - Multiple unspecified vulnerabilities in Trac before 0.11.6 have
      unknown impact and attack vectors, possibly related to (1) "policy
      checks in report results when using alternate formats" or (2)
      a "check for the 'raw' role that is missing in docutils < 0.6."
    - CVE-2009-4405
  * debian/rules:
    - Include /usr/share/python/python.mk
    - Pass $(py_setup_install_args) to setup.py
    - Use $(py_libdir_sh) for matching distutils installation paths
    - Fixes FTBFS
 -- Artur Rona <email address hidden>   Wed, 19 May 2010 17:48:56 +0200
Superseded in maverick-release on 2010-07-05
trac (0.11.7-3) unstable; urgency=low

  * Correced accidently moved DEBHELPER line (Closes: #576988).
    Thanks to Marc J. Driftmeyer <email address hidden>.

Available diffs

Obsolete in karmic-updates on 2013-03-04
Obsolete in karmic-security on 2013-03-04
trac (0.11.5-2ubuntu1.1) karmic-security; urgency=low

  * SECURITY UPDATE: Multiple unspecified vulnerabilities in Trac
    before 0.11.6 have unknown impact and attack vectors, possibly
    related to (1) "policy checks in report results when using alternate
    formats" or (2) a "check for the 'raw' role that is missing
    in docutils < 0.6." (LP: #394290)
    - debian/patches/21_CVE-2009-4405.dpatch
    - CVE-2009-4405
 -- Artur Rona <email address hidden>   Sat, 24 Apr 2010 02:53:57 +0200
Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
trac (0.11.7-1) unstable; urgency=low

  * New upstream release (Closes: #573260).
  * Added more Trac plugins as suggestions.
  * Removed obsolete patches.

Available diffs

Superseded in lucid-release on 2010-04-21
trac (0.11.6-2) unstable; urgency=low

  * Create jQuery symlink at install time, as the file might not
    exist at that moment. (Closes: #562145). Thanks, Clint Adams.
  * Fix a typo in tracd HTTP header, thanks to Sebastien Couret
    for fixing. (Closes: #561406).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  05 Jan 2010 06:07:08 +0000

Available diffs

Superseded in lucid-release on 2010-01-05
trac (0.11.6-1) unstable; urgency=low

  * New upstream release (Closes: #558976).
  * Fix version of build dependency (Closes: #551688), thanks, Kumar Appaiah.
  * Fix a potential pysqlite cursor problem, thanks, Grzegorz Sobanski.
    See debian/patches/60_roadmap_dbx_cursor_fix.dpatch
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  21 Dec 2009 10:44:20 +0000

Available diffs

Superseded in lucid-release on 2009-12-21
trac (0.11.5-5) unstable; urgency=low

  * Include SqliteToPg script in contrib (Closes: #505680).
  * Advice user to restart HTTPD after upgrade in README.Debian
    (Closes: #519670).
  * Add patch to support user filter for timeline (Closes: #550469).

Available diffs

Superseded in lucid-release on 2009-11-11
Obsolete in karmic-release on 2013-03-04
trac (0.11.5-2ubuntu1) karmic; urgency=low

  * debian/rules:
    - Include /usr/share/python/python.mk
    - Pass $(py_setup_install_args) to setup.py
    - Use $(py_libdir_sh) for matching distutils installation paths
    - Fixes FTBFS

 -- Chris Coulson <email address hidden>   Sat, 26 Sep 2009 02:36:53 +0100

Available diffs

Superseded in karmic-release on 2009-09-26
trac (0.11.5-2) unstable; urgency=low

  * Set exec bit for *_frontends (Closes: #510441), thanks to Torsten
    Landschoff for the patch.
  * Move python-psycopg2 and python-mysql from Suggests to Depends as
    alternative to python-psqlite2 (Closes: #513117).
  * Use debhelper 7 (Closes: #497862).
  * Don't compress *-hook files and don't install MS-Windows *.cmd
    files (Closes: #526142), thanks to Jan Dittberner for the patch.
  * Add README.source to point to dpatch.

Available diffs

Superseded in karmic-release on 2009-09-23
Obsolete in jaunty-release on 2013-02-28
trac (0.11.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix Trac Multiple Vulnerabilities (SA32652) (Closes: #505197)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  18 Nov 2008 10:35:42 +0000

Available diffs

Superseded in jaunty-release on 2008-11-18
trac (0.11.1-2) unstable; urgency=low

  * Upstream version 
    "Trac 0.11.1 contains a number of bug fixes and minor enhancements."
  * Patch setup.py to install the contrib dir ( Closes: #495019 )
  * Modified compatible version of trac-bzr so that trac 0.11.1 an be
    used with the current trac-bzr version.

Available diffs

Superseded in jaunty-release on 2008-11-06
Obsolete in intrepid-release on 2013-02-20
trac (0.11-2) unstable; urgency=low

  * Re-added python-setup-tools to build dependences. Closes: #490320 #468705
  * New upstream release Closes: 489727
  * Added sugestion for other vcs support available: git bazaar mercurial 
  * Added spamfilter plugin to sugests
  * Moved packaging from python-support to python-central
  * Added an entry to the NEWS about the cgi Closes: #490275
  * Updated 10_remove_trac_suffix_from_title patch to be used in 0.11

Available diffs

Obsolete in feisty-backports on 2009-08-20
trac (0.10.4-2~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-07-18
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
trac (0.10.4-2) unstable; urgency=low

  [ Otavio Salvador ]
  * Remove trac/siteconfig.py on package clean up
  * debian/control: Add XS-VCS-{Git,Browser} fields.
  * Change maintainer to Debian Trac Team and move Jesus to uploaders
    field.

  [ Luis Matos ]
  * Add php5-cli to Suggests field (Closes: #407118)
  * changed README.Debian. (Closes: #405903)
  * Trac shouls at least suggest postgresql-client or mysql-client
    (Closes: #393933)
  * Moved python-psycopg2 from depends to suggests
  * workaround for instance.__dict__ not accessible in restricted mode
    (Closes: #389826)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  07 Jun 2007 15:52:14 +0100
Superseded in gutsy-release on 2007-06-07
trac (0.10.4-1) unstable; urgency=low

  * New upstream release (Closes: #414134, #420219)
  * Fixed typo in debian/copyright file (Closes: #422409)
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  24 May 2007 12:58:37 +0100
Obsolete in edgy-backports on 2008-06-19
trac (0.10.3-1~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in gutsy-release on 2007-05-24
Obsolete in feisty-release on 2009-08-20
trac (0.10.3-1) unstable; urgency=low

  * New upstream upload. Final 0.10.3 release that will hopefully make it into
    Debian 4.0 etch.
  * Add a NEWS entry for trac.ini being moved to /etc/trac/trac.ini 
    (Closes: #402937)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  14 Dec 2006 12:02:40 +0000
Superseded in feisty-release on 2006-12-14
trac (0.10.3~rc1-1) unstable; urgency=low

  * This is the "Luis Matos" release. Without his help and dedication we would
    have never had it. Thanks.
  * New upstream release candidate.
  * Change the global path for the config file from /usr/share to /etc/trac
    (Closes: #393226, #337243, #386415, #400826)
  * The "NoSuchChangeset" problem is solved in this release (Closes: #400489)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  12 Dec 2006 11:09:26 +0000
Superseded in edgy-backports on 2007-04-10
trac (0.10.2-1~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in feisty-release on 2006-12-12
trac (0.10.2-1) unstable; urgency=high

  * New upstream release, fixing 3 RC bugs introduced at 0.10.1, which were
    not triggered in normal conditions.
    - Fixes deadlock when using authz_file config option
    - Makes the CSRF code play nice with the XmlRpcPlugin
    - Fixes Timeline breakage after svn commit when using sqlite

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  16 Nov 2006 17:09:03 +0000
Superseded in feisty-release on 2006-11-16
trac (0.10.1.svn4235-1) unstable; urgency=high

  * Subversion stable checkout to get a fix for Timeline and Browse Source.
  * Urgency high because this is an RC candidate.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  13 Nov 2006 00:35:23 +0000
Superseded in feisty-release on 2006-11-13
trac (0.10.1-1) unstable; urgency=high

  * New Upstream Release (Closes: #397683)
  * Depend on python-psycopg2 (Closes: #397725)
  * Security fix, hence urgency=high. No DSA or CVS available yet.
  * Upstream changes (most important ones):
    - fixed CSRF vulnerability
    - better database handling
    - only TICKET_ADMIN can assign a passed milestone to a ticket
    - failed to upload attachments
    - more (comprehensive list can be found at
      http://trac.edgewall.org/query?status=closed&milestone=0.10.1)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  10 Nov 2006 17:54:35 +0000
Superseded in feisty-release on 2006-11-10
trac (0.10-3) unstable; urgency=low

  * debian/control: changed the Conflicts: entry with a versioned oned
    (Closes: #393842, #384381)

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
trac (0.9.6-2) unstable; urgency=low

  * Upgraded to the new Python policy (Closes: #380977)
  * Standards updated to 3.7.2, no changes needed.

 -- Daniel T Chen <email address hidden>   Tue,  15 Aug 2006 19:32:35 +0100
Superseded in edgy-release on 2006-08-15
trac (0.9.6-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

Superseded in edgy-release on 2006-07-10
trac (0.9.5-2ubuntu1) edgy; urgency=low

  * Merge from debian unstable:
    - debian/{control,dirs}: Continue to use python2.4.
    - debian/rules: Use Debian Sid's version.

Superseded in edgy-release on 2006-07-04
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
trac (0.9.3-1ubuntu1) dapper; urgency=low


  * Resynchronise with Debian.

 -- Daniel T Chen <email address hidden>  Tue, 10 Jan 2006 13:31:28 +0000
Obsolete in breezy-backports on 2008-03-25
trac (0.9-1ubuntu1~breezy1) breezy-backports; urgency=low


  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <email address hidden>  Wed, 23 Nov 2005 04:41:36 +0000
Superseded in dapper-release on 2006-01-31
trac (0.9.2-1ubuntu1) dapper; urgency=low


  * Merge with Debian.

 -- Christian Bjälevik <email address hidden>  Tue, 13 Dec 2005 02:34:05 +0100
Obsolete in breezy-release on 2008-03-25
trac (0.8.4-1ubuntu1) breezy; urgency=low


  * Resynchronise with Debian.

 -- Stephan Hermann <email address hidden>  Sun, 24 Jul 2005 12:21:52 +0200
Obsolete in hoary-security on 2008-03-19
Superseded in hoary-security on 2006-02-03
trac (0.8-1ubuntu1.1) hoary-security; urgency=high


  * SECURITY UPDATE: fix arbitrary file upload path
  * trac/File.py: Check the attachment id for uploads does not contain
    .. in any section, which left unchecked allows the script to
    upload a file to any place in the filesystem writable via the webserver
    which could lead to arbitrary code execution
  * References:
    CAN-2005-2147
    https://launchpad.net/malone/bugs/1559
    http://bugs.debian.org/315145

 -- Trent Lloyd <email address hidden>  Fri, 16 Sep 2005 19:23:13 +0800
Obsolete in hoary-release on 2008-03-19
trac (0.8-1ubuntu1) hoary; urgency=low


  * Compiled against Python 2.4 for Ubuntu Hoary.

 -- Aaron Lake <email address hidden>  Tue,  1 Mar 2005 17:11:02 -0500
152 of 52 results